Bug 150338 - /etc/init.d/microcode_ctl has bad arguments to microcode_ctl
/etc/init.d/microcode_ctl has bad arguments to microcode_ctl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 13:20 EST by Will Woods
Modified: 2015-01-04 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 18:05:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2005-03-04 13:20:38 EST
using the RHEL3-U5-re0303.0 tree (AS), at boot microcode_ctl complains about an
unknown -i flag. 

# rpm -q kernel-utils
kernel-utils-2.4-8.37.10
# diff -u microcode_ctl.orig microcode_ctl
--- microcode_ctl.orig  2005-02-25 15:46:37.000000000 -0500
+++ microcode_ctl       2005-03-04 12:47:57.000000000 -0500
@@ -10,7 +10,7 @@
 # ARGUMENTS            the argument we're going to call PROGRAM with

 DEVICE=/dev/cpu/0/microcode
-ARGUMENTS=-Qui
+ARGUMENTS=-Qu
 RETVAL=0
 PROGRAM=/sbin/microcode_ctl
Comment 1 Will Woods 2005-03-08 17:50:41 EST
I should have been more clear, sorry: it complains about an unknown -i flag, and
*fails to run*. Error message:

[root@dhcp59-144 root]# /etc/init.d/microcode_ctl start
Applying Intel IA32 Microcode update: /sbin/microcode_ctl: invalid option -- i

This program is for updating the microcode on Intel processors
belonging to the IA32 family - PentiumPro upwards (x86_64 included).
It depends on the Linux kernel microcode driver.

Usage: /sbin/microcode_ctl [-h] [-u] [-q] [-Q] [-f microcode]

  -h    this usage message
  -q    run silently when successful
  -Q    run silently even on failure
  -u    upload microcode (default filename:"/etc/firmware/microcode.dat"
  -f    upload microcode from named Intel formatted file

                                                           [FAILED]

Comment 2 Will Woods 2005-04-07 18:05:55 EDT
This is fixed in the U5 Beta (kernel-utils-2.4-8.37.11).
Comment 3 Dennis Gregorovic 2005-05-19 13:28:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-228.html

Note You need to log in before you can comment on or make changes to this bug.